summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2016-02-05 20:27:42 +0100
committerAlexis Ballier <aballier@gentoo.org>2016-02-05 21:59:02 +0100
commita2e916742ea6758ef7fb5ed6dc5a5438d1d59891 (patch)
tree6f0fde2e12970101dfaa029d8a4387cb3984dbd2 /dev-ml/incremental
parentdev-ml/core: bump to 113.24.00 (diff)
downloadgentoo-a2e916742ea6758ef7fb5ed6dc5a5438d1d59891.tar.gz
gentoo-a2e916742ea6758ef7fb5ed6dc5a5438d1d59891.tar.bz2
gentoo-a2e916742ea6758ef7fb5ed6dc5a5438d1d59891.zip
dev-ml/incremental: bump to 113.24.00
Package-Manager: portage-2.2.27 Signed-off-by: Alexis Ballier <aballier@gentoo.org>
Diffstat (limited to 'dev-ml/incremental')
-rw-r--r--dev-ml/incremental/Manifest1
-rw-r--r--dev-ml/incremental/incremental-113.24.00.ebuild51
2 files changed, 52 insertions, 0 deletions
diff --git a/dev-ml/incremental/Manifest b/dev-ml/incremental/Manifest
index f22615253db..6600c90f84f 100644
--- a/dev-ml/incremental/Manifest
+++ b/dev-ml/incremental/Manifest
@@ -1,2 +1,3 @@
DIST incremental-112.35.00.tar.gz 129690 SHA256 4d2d962f99d8d0e7fb5d02e0165be0c3a7cf361ea0e17231a525310f2a277918 SHA512 a181e6e90e8d490722342a7c81d93cdc48d2aa38aecb346334cd726ef5d413fabc324a0b86f4e3adbeda6123f5789595d424a01f93872da791019e9c7561ca1e WHIRLPOOL ceccd1ee76f6369330c2a465bebc3cac9f831e840627eda5fcbe6708f123a1dbcf5da437b83eb6bc049d50aad2aedff58c130f48c7be5f68290d0e7b327a9ff1
DIST incremental-113.00.00.tar.gz 129740 SHA256 ac7cc5c2f08574408cc8786009973260b3303f16cef3f4c9780c1ac951c16bf3 SHA512 fd2e02405b595c71990f55067086b49f6198f9c87077d7c4a2f546900ee46c96c8c8422827f46efae837eafa474d400c7e55b506a5958a7dfd8d6c1bc7b12294 WHIRLPOOL ea71eb638aa34ac20c18cae3503321737603ef7ffd4e7760e6b873b21b975b04bb33b73d56a2a692dbd68c9001a10069d72041d7733406642aa2284f60f08e2c
+DIST incremental-113.24.00.tar.gz 129588 SHA256 9b9382f79c751e81d5a5b28574f592c1cb836d0e8628cbe002d15723026bc852 SHA512 5e8ccec168099a0d11109cd512b155aff8463aced168795d45458ced76930c534d1083442ea82d34cae0322c7dcd833c0a7e8ffba183bbaebaa6c148d8464ffc WHIRLPOOL 9267ce244b3a83b7ef456505dda08dc857cfc34ffb9c9b9993cab6fcdb9bf0ac2a610ec6e5708a2b1d6b8e9bc8369f9bd82c9f19e1c60fe6000640bc3f4b4cd5
diff --git a/dev-ml/incremental/incremental-113.24.00.ebuild b/dev-ml/incremental/incremental-113.24.00.ebuild
new file mode 100644
index 00000000000..f7a57a0d1f2
--- /dev/null
+++ b/dev-ml/incremental/incremental-113.24.00.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit oasis
+
+DESCRIPTION="Library for incremental computations"
+HOMEPAGE="http://www.janestreet.com/ocaml"
+SRC_URI="http://ocaml.janestreet.com/ocaml-core/${PV%.*}/files/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND="
+ dev-ml/bin-prot:=
+ >=dev-ml/core-113.24:=
+ dev-ml/fieldslib:=
+ dev-ml/ppx_assert:=
+ dev-ml/ppx_bench:=
+ dev-ml/ppx_driver:=
+ dev-ml/ppx_expect:=
+ dev-ml/ppx_inline_test:=
+ dev-ml/ppx_jane:=
+ dev-ml/sexplib:=
+ dev-ml/typerep:=
+ dev-ml/variantslib:=
+"
+RDEPEND="${DEPEND}"
+DEPEND="${DEPEND} dev-ml/opam"
+
+src_configure() {
+ emake setup.exe
+ OASIS_SETUP_COMMAND="./setup.exe" oasis_src_configure
+}
+
+src_compile() {
+ emake
+}
+
+src_install() {
+ opam-installer -i \
+ --prefix="${ED}/usr" \
+ --libdir="${D}/$(ocamlc -where)" \
+ --docdir="${ED}/usr/share/doc/${PF}" \
+ ${PN}.install || die
+ dodoc CHANGES.md
+}